at.chipkarte.client.sas.soap

## Class Suchkriterien

- Object
- - at.chipkarte.client.sas.soap.Suchkriterien

-     public class Suchkriterien
      extends Object

  Enthält die Suchkriterien für die Suche nach der SV-Nummer eines Patienten mittels der Funktion `svNummerAbfragen`.

  Alle Felder der Suchkriterien müssen befüllt sein.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Suchkriterien()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamilienname()` Familienname der gesuchten SV-Person.
    `String` | `getGeburtsdatum()` Geburtsdatum der gesuchten SV-Person.
    `String` | `getVorname()` Vorname der gesuchten SV-Person.
    `void` | `setFamilienname(String familienname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Suchkriterien

          public Suchkriterien()

  - ### Method Detail

    - #### getFamilienname

          public String getFamilienname()

      Familienname der gesuchten SV-Person.
      Format: maximal 70 Zeichen.
      Folgende Zeichen sind in den Namensfeldern erlaubt:
      - Buchstaben des deutschen Alphabets (a-z, A-Z, ä, Ä, ö, Ö, ü, Ü, ß)
      - Trennzeichen (Leerzeichen, Bindestrich, Hochkomma)
      Returns:
        Familienname der gesuchten SV-Person

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum der gesuchten SV-Person.
      Format: TT.MM.JJJJ, muss ein gültiges Kalenderdatum sein
      Returns:
        Geburtsdatum der gesuchten SV-Person

    - #### getVorname

          public String getVorname()

      Vorname der gesuchten SV-Person.
      Format: maximal 70 Zeichen.
      Folgende Zeichen sind in den Namensfeldern erlaubt:
      - Buchstaben des deutschen Alphabets (a-z, A-Z, ä, Ä, ö, Ö, ü, Ü, ß)
      - Trennzeichen (Leerzeichen, Bindestrich, Hochkomma)
      Returns:
        Vorname der gesuchten SV-Person

    - #### setFamilienname

          public void setFamilienname(String familienname)

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setVorname

          public void setVorname(String vorname)